import { Todo } from "@src/core/entities/todo";
import { TodoItem } from "@src/components/todos/todoItem";
import { AddTodo } from "@src/components/todos/addTodo";

export const TodoList = (props: { todos: Todo[] }) => (
  <>
    <ul id="inbox">
      {props.todos.map((t, i) => (
        <li key={i}>
          <TodoItem
            todo={t}
            updateTodo={(todo) => {
              console.log(todo);
            }}
          />
        </li>
      ))}
    </ul>
    <AddTodo />
  </>
);
